API Reference
Finalize a trust attachment upload for a scoped release
POST
/
api
/
v1
/
volumes
/
@
{scope}
/
{name}
/
{version}
/
trust
/
uploads
/
{uploadId}
/
finalize
Finalize a trust attachment upload for a scoped release
curl --request POST \
--url https://api.example.com/api/v1/volumes/@{scope}/{name}/{version}/trust/uploads/{uploadId}/finalize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotencyKey": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/volumes/@{scope}/{name}/{version}/trust/uploads/{uploadId}/finalize"
payload = { "idempotencyKey": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({idempotencyKey: '<string>'})
};
fetch('https://api.example.com/api/v1/volumes/@{scope}/{name}/{version}/trust/uploads/{uploadId}/finalize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uploadId": "<string>",
"attachmentId": "<string>",
"subject": {
"purl": "<string>",
"integrity": "<string>"
},
"artifactDigest": "<string>",
"status": {
"state": "active",
"reason": "<string>"
},
"detailUrl": "<string>",
"artifactSize": 1
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Preferred portable idempotency key for finalize. If this header and a body idempotencyKey are both present, they MUST match exactly.
Path Parameters
Maximum string length:
64Pattern:
^(?!.*--)[a-z0-9](?:[a-z0-9-]*[a-z0-9])?$Maximum string length:
128Pattern:
^(?!.*--)[a-z0-9](?:[a-z0-9-]*[a-z0-9])?$Pattern:
^(0|[1-9]\d*)\.(0|[1-9]\d*)\.(0|[1-9]\d*)(?:-((?:0|[1-9]\d*|\d*[A-Za-z-][0-9A-Za-z-]*)(?:\.(?:0|[1-9]\d*|\d*[A-Za-z-][0-9A-Za-z-]*))*))?(?:\+([0-9A-Za-z-]+(?:\.[0-9A-Za-z-]+)*))?$Body
application/json
Response
Upload finalized and trust attachment made available through trust discovery.
Minimum string length:
1Minimum string length:
1Show child attributes
Show child attributes
Pattern:
^sha256:[a-f0-9]{64}$Show child attributes
Show child attributes
Required range:
x >= 0⌘I
Finalize a trust attachment upload for a scoped release
